Bug 90220 - No way to tell which system its running on
No way to tell which system its running on
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 12:42 EDT by Edward J. Huff
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 09:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward J. Huff 2003-05-05 12:42:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If I ssh to another system and start redhat-config-users
over the ssh X tunnel, there is no way (except if I know
certain users exist on one system and not another) to 
tell which system the window comes from.


Version-Release number of selected component (if applicable):
redhat-config-users-1.0.1-5

How reproducible:
Always

Steps to Reproduce:
1.ducks# /usr/bin/redhat-config-users &
2.ducks# ssh root@desk
3.desk# /usr/bin/redhat-config-users


Actual Results:  I get two user configuration windows, and no way to
tell which is which.


Expected Results:  The window title (or at least a menu item) should give hostname.


Additional info:
Comment 1 Brent Fox 2003-05-22 09:46:17 EDT
I understand your point, but doesn't this same problem exist with pretty much
every application that you might run over an ssh tunnel?  I know I've gotten
confused in the past when I had two copies of an app running...one was local and
one was remote and it was pretty much impossible to tell the difference.  

So yes, I could change redhat-config-users, but that only fixes one app out of
hundreds.  In general, I'm reluctant to make those kinds of changes to one app
when the actual problem is a much larger issue.  I think the most feasible
answer is for the user to be careful when are running an application through an
ssh tunnel.

Note You need to log in before you can comment on or make changes to this bug.